# $Revision: 1.25 $, $Date: 2012/04/17 17:53:20 $
Summary:	Universal addresses to RPC program number mapper
Summary(pl.UTF-8):	Demon odwzorowujący adresy uniwersalne na numery programów RPC
Name:		rpcbind
Version:	0.2.0
Release:	8
License:	GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/rpcbind/%{name}-%{version}.tar.bz2
# Source0-md5:	1a77ddb1aaea8099ab19c351eeb26316
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.service
Source4:	%{name}.socket
Patch0:		%{name}-libwrap.patch
Patch1:		%{name}-syslog.patch
Patch2:		%{name}-sunrpc.patch
Patch3:		%{name}-usage.patch
Patch4:		%{name}-SO_REUSEADDR.patch
Patch5:		%{name}-nofork.patch
Patch6:		%{name}-tcp-addrs.patch
# http://nfsv4.bullopensource.org/doc/tirpc_rpcbind.php
URL:		http://sourceforge.net/projects/rpcbind/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtirpc-devel >= 1:0.1.10
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	rpmbuild(macros) >= 1.623
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.1.6
Requires:	systemd-units >= 0.38
Provides:	portmap = 8.0
Provides:	user(rpc)
Obsoletes:	portmap
Obsoletes:	rpcbind-systemd
Conflicts:	clusternfs < 3.0-0.rc2.3
Conflicts:	flixengine < 8.0.8.2-1
Conflicts:	nfs-utils < 1.1.0-0.rc2.1
Conflicts:	quota-rquotad < 1:3.14-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rpcbind utility is a server that converts RPC program numbers into
universal addresses. It must be running on the host to be able to make
RPC calls on a server on that machine.

%description -l pl.UTF-8
Narzędzie rpcbind to serwer konwertujący numery programów RPC na
adresy uniwersalne. Musi działać na maszynie, aby można było wykonywać
wywołania RPC na serwerze na tej maszynie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-libwrap \
	--enable-warmstarts \
	--with-statedir=/var/lib/rpcbind \
	--with-rpcuser=rpc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_sbindir},/etc/{sysconfig,rc.d/init.d}} \
	$RPM_BUILD_ROOT{%{_mandir}/man8,%{_var}/lib/%{name},%{systemdunitdir}}

install src/rpcbind $RPM_BUILD_ROOT/sbin
install src/rpcinfo $RPM_BUILD_ROOT%{_sbindir}

install man/{rpcbind,rpcinfo}.8 $RPM_BUILD_ROOT%{_mandir}/man8

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rpcbind
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rpcbind

install %{SOURCE3} $RPM_BUILD_ROOT%{systemdunitdir}/rpcbind.service
install %{SOURCE4} $RPM_BUILD_ROOT%{systemdunitdir}/rpcbind.socket

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 22 -d /usr/share/empty -s /bin/false -c "Portmapper RPC User" -g nobody rpc

%post
/sbin/chkconfig --add rpcbind
%service rpcbind restart
%systemd_post rpcbind.service

%postun
if [ "$1" = "0" ]; then
	%userremove rpc
fi
%systemd_reload

%preun
if [ "$1" = "0" ]; then
	%service -q rpcbind stop
	/sbin/chkconfig --del rpcbind
fi
%systemd_preun rpcbind.service

%triggerpostun -- %{name} < 0.2.0-5
if [ -f /etc/sysconfig/rpcbind ]; then
	. /etc/sysconfig/rpcbind
	[ "$RPCBIND_VERBOSE" == "no" ] || RPCBIND_OPTIONS="-l"
	[ "$RPCBIND_INSECURE" == "yes" ] && RPCBIND_OPTIONS="$RPCBIND_OPTIONS -i"
	for a in $RPCBIND_ADDRESSES ; do
		RPCBIND_OPTIONS="$RPCBIND_OPTIONS -h $a"
	done
	[ -z "$RPCBIND_OPTIONS" ] && exit 0
	%{__cp} -f /etc/sysconfig/rpcbind /etc/sysconfig/rpcbind.rpmsave
	echo >>/etc/sysconfig/rpcbind
	echo "# Added by rpm trigger" >>/etc/sysconfig/rpcbind
	echo "RPCBIND_OPTIONS=\"$RPCBIND_OPTIONS\"" >> /etc/sysconfig/rpcbind
fi
%systemd_trigger rpcbind.service

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(754,root,root) /etc/rc.d/init.d/rpcbind
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpcbind
%attr(755,root,root) /sbin/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*.8*
%dir %attr(700,rpc,root) %{_var}/lib/%{name}
%{systemdunitdir}/rpcbind.service
%{systemdunitdir}/rpcbind.socket

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpcbind.spec,v $
Revision 1.25  2012/04/17 17:53:20  baggins
- rel 8
- better systemd deps

Revision 1.24  2012/02/11 20:57:16  baggins
- rel 7
- use __cp macro in trigger, cp may be an alias

Revision 1.23  2012/02/05 17:38:49  baggins
- rel 6
- added O:*-systemd

Revision 1.22  2012/02/05 16:44:39  baggins
- rel 5
- merge systemd stuff into main package

Revision 1.21  2012/01/18 22:28:59  baggins
- rel 4

Revision 1.20  2012/01/18 22:14:58  baggins
- added systemd package
- simplify sysconfig for compatibility with systemd (with trigger)

Revision 1.19  2010/09/27 09:22:50  baggins
- rel 3
- make '-h' option work for both UDP and TCP sockets
  (NACKed by upstream, despite it's not interfering with NFS, is
   run-tested and works fine.
   See http://www.spinics.net/lists/linux-nfs/msg15949.html for gory details)

Revision 1.18  2010/09/17 12:14:06  baggins
- rel 2
- bugfixes from upstream

Revision 1.17  2010/04/21 13:04:10  baggins
- 0.2.0

Revision 1.16  2010/01/08 17:30:31  draenog
- rel. 4

Revision 1.15  2010/01/07 20:43:29  pluto
- fix lookup in recent /etc/services, release 3.

Revision 1.14  2009/04/03 20:37:58  qboosh
- unified sf URL

Revision 1.13  2009/03/04 22:04:09  baggins
- rel 2
- provide portmap = 8.0 so it's actually possible to replace portmap package

Revision 1.12  2008/11/27 21:44:01  baggins
- updated to 0.1.7
- removed outdated/obsolete patches

Revision 1.11  2008/06/23 19:57:09  adamg
- call libtoolize + BR: libtool

Revision 1.10  2008-05-07 19:06:11  arekm
- partial update to 0.1.5

Revision 1.9  2008-02-13 17:39:18  qboosh
- bcond header

Revision 1.8  2008-02-13 12:25:37  arekm
- rel 5; disable broken ipv6

Revision 1.7  2007/07/05 13:36:33  baggins
- rel 3
- fix ipv6 related crash

Revision 1.6  2007/05/10 06:37:24  qboosh
- pl
- automake already handles config.sub refresh

Revision 1.5  2007/05/08 16:30:55  baggins
- rel 2
- added conflicts for non rpcbind aware packages

Revision 1.4  2007/05/08 14:11:38  baggins
- require recent rc-scripts

Revision 1.3  2007/05/08 13:52:58  baggins
- rel 1

Revision 1.2  2007/05/08 13:51:33  baggins
- added git based patches

Revision 1.1  2007/05/08 12:07:25  baggins
- portmap replacement
